package ru.kayashov.bar.bot.domain.utils;

import ru.kayashov.bar.bot.domain.methods.AbstractDeleteMessage;
import ru.kayashov.bar.bot.domain.methods.AbstractInlineKeyboard;
import ru.kayashov.bar.bot.domain.methods.AbstractSendKeyboardMessage;
import ru.kayashov.bar.bot.domain.methods.AbstractSendMessage;
import ru.kayashov.bar.bot.domain.model.AbstractKeyboard;

public class MethodUtils {

    public static AbstractDeleteMessage deleteMessage(Long chatId, Integer messageId) {
        return AbstractDeleteMessage.builder()
                .messageId(messageId)
                .chatId(chatId)
                .build();
    }

    public static AbstractSendMessage sendMessage(Long chatId, String message) {
        return AbstractSendMessage.builder()
                .message(message)
                .chatId(chatId)
                .build();
    }

    public static AbstractSendKeyboardMessage sendKeyboardMessage(Long chatId, String message, AbstractKeyboard keyboard) {
        return AbstractSendKeyboardMessage.builder()
                .keyboard(keyboard)
                .message(message)
                .chatId(chatId)
                .build();
    }

    public static AbstractInlineKeyboard sendInlineKeyboard(Long chatId, String message, AbstractKeyboard keyboard) {
        return AbstractInlineKeyboard.builder()
                .keyboard(keyboard)
                .message(message)
                .chatId(chatId)
                .build();
    }
}
